Will QuarkXPress 2015/2016 XTensions work with QX2017?

Discuss third-party XTensions® software for QuarkXPress 2015 and QuarkXPress 2016.
As the API hasn't changed between 2015 & 2016 versions, most XTension running in QuarkXPress 2015 should also work in QuarkXPress 2016.

Will QuarkXPress 2015/2016 XTensions work with QX2017?

Postby Matthias Guenther (Quark) » 02 Mar 2017, 06:03

Hi,

we have been asked this several times, so here a public answer:

The XTension interface between QuarkXPress 2015 and 2016 was the same, which means – if the developer of the XTension didn't force a version check – you can use a QX2015 XTension inside QX2016 and it will work.

QuarkXPress 2017 will have a slightly different XT interface (programming interface). Meaning you cannot simply use a QX2015/2016 XT inside QX2017.

So you need to ask the vendor of the XTension for an updated version please.

Good news are, we kept the changes minimal, so development effort for porting should be minimal, testing effort of course could be larger for our partners, so best to check with them, when and how they can provide an update.

We already know of many partners who will be ready and offer their updated XTensions when QuarkXPress 2017 ships.

Thanks
Matthias
Feel there should be more chatting, more tips, more user interaction?
Join us on Facebook, a forum-like group with over 2,000 QuarkXPress fans interacting:
http://www.facebook.com/groups/quarkxpress



Image
User avatar
Matthias Guenther (Quark)
Quarkian
Quarkian
 
Posts: 5084
Joined: 04 Jun 2004, 15:06
Location: http://bit.ly/QuarkHamburg

Re: Will QuarkXPress 2015/2016 XTensions work with QX2017?

Postby shaun » 02 Mar 2017, 16:01

You'll be back battling with Extensis then.

At the moment I'm on Safari and Q2016 and have Suitcase Fusion 6 working with both Adobe CS6 and Q2016.
Suitcase Fusion 7 supports Safari with the Adobe Cloud, not CS6, so I can't go for SF7. I just hope that Q2017 will work with the SF6 XTension ...
Might I have a Q2017 test version to find out, please?
shaun
 
Posts: 335
Joined: 14 Jan 2006, 13:12

Re: Will QuarkXPress 2015/2016 XTensions work with QX2017?

Postby Matthias Guenther (Quark) » 02 Mar 2017, 16:09

shaun wrote:Might I have a Q2017 test version to find out, please?


Nice try, shaun ;-)
Feel there should be more chatting, more tips, more user interaction?
Join us on Facebook, a forum-like group with over 2,000 QuarkXPress fans interacting:
http://www.facebook.com/groups/quarkxpress



Image
User avatar
Matthias Guenther (Quark)
Quarkian
Quarkian
 
Posts: 5084
Joined: 04 Jun 2004, 15:06
Location: http://bit.ly/QuarkHamburg

Re: Will QuarkXPress 2015/2016 XTensions work with QX2017?

Postby shaun » 02 Mar 2017, 16:38

Well, if you don't ask, you won't get ...
shaun
 
Posts: 335
Joined: 14 Jan 2006, 13:12

Re: Will QuarkXPress 2015/2016 XTensions work with QX2017?

Postby shaun » 05 Mar 2017, 06:15

For information:
I have just been looking at Extensis Fusion 7 - the current version. They say that they are not supporting Adobe CS6 on Sierra; if you want to use SF7 with Sierra then you'll have to use Adobe's Cloud if you want to continue using Photoshop...
I shall stay with Fusion 6, which Extensis don't support.
All we need now is for Apple to announce a greater and newer OS that will again upset the apple-cart!
shaun
 
Posts: 335
Joined: 14 Jan 2006, 13:12

Re: Will QuarkXPress 2015/2016 XTensions work with QX2017?

Postby UtahLlama » 09 Mar 2017, 03:56

OSX 10.13 is already being used to browse web sites, its almost certainly going to be around in the second half of 2017.
User avatar
UtahLlama
 
Posts: 192
Joined: 18 Sep 2012, 08:39
Location: The Grand Line

Re: Will QuarkXPress 2015/2016 XTensions work with QX2017?

Postby Matthias Guenther (Quark) » 09 Mar 2017, 04:05

UtahLlama wrote:OSX 10.13 is already being used to browse web sites, its almost certainly going to be around in the second half of 2017.


In the past years Apple always released the new version of OS X / MacOS end of September, with betas out earlier.

Thanks
Matthias
Feel there should be more chatting, more tips, more user interaction?
Join us on Facebook, a forum-like group with over 2,000 QuarkXPress fans interacting:
http://www.facebook.com/groups/quarkxpress



Image
User avatar
Matthias Guenther (Quark)
Quarkian
Quarkian
 
Posts: 5084
Joined: 04 Jun 2004, 15:06
Location: http://bit.ly/QuarkHamburg

Re: Will QuarkXPress 2015/2016 XTensions work with QX2017?

Postby shaun » 09 Mar 2017, 11:25

They haven't finished testing betas for 10.12 Sierra ...
Do we honestly need a new OS so often?
shaun
 
Posts: 335
Joined: 14 Jan 2006, 13:12


Return to QuarkXPress 2015/2016: XTensions modules for QuarkXPress

Who is online

Users browsing this forum: No registered users and 0 guests

cron